# Generated by Django 3.2.5 on 2021-08-17 10:18

import django.db.models.deletion
import wagtail.blocks
import wagtail.contrib.routable_page.models
import wagtail.fields
import wagtail.images.blocks
import wagtailmetadata.models
from django.db import migrations, models

import shared.models


class Migration(migrations.Migration):
    dependencies = [
        ("wagtailimages", "0023_add_choose_permissions"),
        ("wagtailcore", "0062_comment_models_and_pagesubscription"),
        ("elections2021", "0036_auto_20210811_1505"),
    ]

    operations = [
        migrations.CreateModel(
            name="BannerOrder",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("code", models.CharField(max_length=10)),
                ("name", models.CharField(max_length=35)),
                ("surname", models.CharField(max_length=70)),
                ("place_of_birth", models.CharField(max_length=70)),
                ("date_of_birth", models.DateField()),
                ("phone", models.CharField(max_length=20)),
                ("email", models.EmailField(max_length=70)),
            ],
        ),
        migrations.CreateModel(
            name="Elections2021BannerListPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                (
                    "subtitle",
                    models.CharField(
                        blank=True, max_length=100, verbose_name="podtitulek"
                    ),
                ),
                (
                    "banners",
                    wagtail.fields.StreamField(
                        [
                            (
                                "banners",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "code",
                                            wagtail.blocks.CharBlock(
                                                label="kód banneru"
                                            ),
                                        ),
                                        (
                                            "candidate1",
                                            wagtail.blocks.CharBlock(
                                                label="první kandidát", required=False
                                            ),
                                        ),
                                        (
                                            "candidate2",
                                            wagtail.blocks.CharBlock(
                                                label="druhý kandidát", required=False
                                            ),
                                        ),
                                        (
                                            "tagline",
                                            wagtail.blocks.CharBlock(
                                                label="slogan", required=False
                                            ),
                                        ),
                                        (
                                            "preview",
                                            wagtail.images.blocks.ImageChooserBlock(
                                                label="náhled"
                                            ),
                                        ),
                                    ]
                                ),
                            )
                        ],
                        blank=True,
                        verbose_name="plachty",
                    ),
                ),
                (
                    "search_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="Search image",
                    ),
                ),
            ],
            options={
                "verbose_name": "Plachty",
            },
            bases=(
                shared.models.SubpageMixin,
                wagtailmetadata.models.WagtailImageMetadataMixin,
                wagtail.contrib.routable_page.models.RoutablePageMixin,
                "wagtailcore.page",
                models.Model,
            ),
        ),
    ]
